Page MenuHomePhabricator

ContentTranslation Suggestions Favorite: Multiple issues
Closed, DuplicatePublic

Description

Suggestion 'favorite' has multiple issues:

  1. Marking too many suggestions as 'Favorite' makes difficult to bring back old 'Favorite'.
  2. 'In Progress' articles appears as Suggestion and marking them Favourite is possible.
  3. Refreshing page/Suggestions is randomising Favourite too (instead of Suggestions).
  4. There is no way to see all Suggestions favorited.

Event Timeline

KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 7 2015, 4:41 PM
Amire80 set Security to None.
Amire80 triaged this task as Normal priority.Dec 13 2015, 10:06 PM
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Dec 14 2015, 10:38 AM
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 8:50 PM
Amire80 renamed this task from Suggestions Favorite: Multiple issues to ContentTranslation Suggestions Favorite: Multiple issues.Feb 8 2016, 5:34 PM
Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:09 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Jan 7 2019, 1:59 PM
Barbvd added a subscriber: Barbvd.Feb 19 2019, 11:16 PM

Summary of recent test results:

  • Was able to replicate Issue 2 (‘In Progress’ articles appear in the Suggested Pages list and can be added to the For Later list).
  • Could not replicate issue 3 (Refresh Suggestions randomizes/reorders the For Later list as well as the Suggested Pages list). This issue appears to be fixed.
  • Regarding issues 1 & 4: Not sure what these issues were referring to. I didn’t encounter any real problems with accessing old For Later entries or seeing the full list. Possibly these issues have been resolved over time?
  • New issue: Item moved to “For Later” list can reappear in Suggested Pages list and be added again (resulting in a temporary duplicate – see detailed testing steps below).
  • New issue: Duplication of For Later entries can occur after logging out & back in.

Detailed testing steps follow. (These steps illustrate both new issues.)

  1. Created 4-item “For Later” list.
  2. Clicked on one of the items to start a translation, translated a couple paragraphs, and returned to the Suggestions tab. The “For Later” list was still there, and the item I’d selected for translation was now gone. That behavior is correct.
  3. Clicked Refresh. The “For Later” list remained intact (did not collapse) and in its original sort order (not randomized, as reported in Issue 3).
  4. Clicked Refresh many more times, and around the 20th refresh, one of my already For-Later-listed items appeared in the Suggestions list.
  5. Marked the item (again) as a favorite, and a duplicate was added to the For Later list.
  6. Clicked on the duplicate to start a translation, and after translating a few paragraphs, returned to the Suggestions tab. Both of the duplicates were gone. (Although the initial duplication is weird, at least both items are removed from the list when you actually start a translation.)
  7. Logged out of test environment (from the Translation page) and logged in again, just to make sure that the For Later list was persistent. The For Later list stayed intact.
  8. Navigated from the Translation page to my user page, and logged out of the test environment from there. Logged back in, navigated to the Translations page, and from there to the Suggestions tab. My original language pair had switched from en>es to es>en, so I switched it back. The For Later list appeared with the expected items – plus duplicates of both! (Related issue: T188138)
  9. Logged out again (directly from the Translations page), logged back in, reset language pair to en>es, and the For Later list was just as I’d left it, with the two duplicated items (for a total of 4 entries).
  10. Clicked “Refresh Suggestions,” and the For Later list remained as it was.

Posting the blow-by-blow of another test, because it shows the replication point 2, “In Progress articles appears as Suggestion and marking them Favourite is possible.”

(The test also shows another example of the duplication of For Later list entries triggered by navigating away from the Translations page and back.)

  1. On the Suggestions tab, created a For Later list with two entries.
  2. Navigated to user page and then back to the Suggestions tab. Each For-Later entry had a duplicate. Notice also that one of the For Later entries also appears at the top of the Suggested Pages list.
  3. Clicked on the entry in the Suggested Pages list and started a translation. Once it was saved, it appeared in the In Progress tab.
    And in the Suggestions tab, the corresponding For Later entries (both the original and its duplicate) had disappeared. In addition, the duplicate of the other For Later entry had disappeared, leaving just the original.
    However, notice that the In-Progress article continues to show up in the Suggested Pages list.
  4. Was able to add the Suggested Pages entry to the For Later list, even though the item already had an “In-Progress” translation.
  5. Clicked on the new For Later entry to start a translation, and when the dialog appeared, clicked Start Translation.
    The already In-Progress translation was loaded into the Translate page.
    Back in the Suggestions tab, the entry is now gone from the For Later list. (But STILL comes up in the Suggestions list!)
Etonkovidova closed this task as Resolved.Feb 21 2019, 11:44 PM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

The issue with duplicates in 'For later' section and in Suggestions (# 2 on the list of issues) is covered in other phab tasks:
https://phabricator.wikimedia.org/T188138
https://phabricator.wikimedia.org/T117605
https://phabricator.wikimedia.org/T129203

Merging this task to T129203.